WriterEncodedAppender (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.support.encoding

## [Java] Class WriterEncodedAppender

- org.codehaus.groovy.grails.support.encoding.WriterEncodedAppender

- An EncodedAppender implementation that writes to a java.io.Writer.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WriterEncodedAppender (java.io.Writer target)` Default constructor.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
    `void` | `close()`
    `protected EncodingState` | `createNewEncodingState(Encoder encoder, EncodingState encodingState)`
    `void` | `flush()`
    `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public WriterEncodedAppender(java.io.Writer target)

      Default constructor.

      Parameters:
        `target` - the target writer

  - ### Method Detail

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

    - #### public void close()

    - #### @java.lang.Override protected EncodingState createNewEncodingState(Encoder encoder, EncodingState encodingState)

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)